<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
Documentation of the AdvanceCAB <em>vbe</em> utility.
</p>

<h2><a name="1">1</a> 
Synopsis
</h2>
<pre>
vbe [/l] [/u] [/c CONFIG]
</pre>
<h2><a name="2">2</a> 
Description
</h2>
The `vbe' utility is a TSR (Terminate Stay Resident) VBE BIOS
wrapper. It isn't a complete VBE BIOS. It requires an existing and
working VBE BIOS.
<p>
It allow to set an arbitrary video mode list with the favorite
modes which work best with your video hardware without any
restrictions in size and frequencies.
<p>
With this utility you can play all the DOS games that use the
standard VESA VBE services with your PC Monitor, TV and Arcade
Monitor.
<p>
At the startup the configuration file `vbe.rc', created with
the utility `vbev', is read and all the modelines present
are activated. The format of this configuration file is
specified in the document `advv.txt'.
<p>
These are some example rc files:
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
ntsc.rc
</em></td><td width="90%">
NTSC TV.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
pal.rc
</em></td><td width="90%">
PAL TV.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
standard.rc
</em></td><td width="90%">
Arcade Standard Resolution (15 kHz).
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
medium.rc
</em></td><td width="90%">
Arcade Medium Resolution (25 kHz).
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
extended.rc
</em></td><td width="90%">
Arcade Extended Resolution (16.5 kHz).
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
pcvga.rc
</em></td><td width="90%">
VGA PC Monitor.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
pcsvga60.rc
</em></td><td width="90%">
SVGA PC Multisync Monitor.
</td></tr>
</table>
<p>
All the modelines present in the configuration files are used
to create the list of available VBE mode. For every modeline
three VBE modes with 8, 15, 16 bits are added.
<h2><a name="3">3</a> 
Options
</h2>
These are the command line options supported:
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/l
</strong></td></tr><tr><td>
Load in memory the utility
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/u
</strong></td></tr><tr><td>
Unload the utility
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/c CONFIG
</strong></td></tr><tr><td>
Use an arbitrary configuration file
</td></tr>
</table>
<h2><a name="4">4</a> 
Cards
</h2>
The program supports only some of the `vbeline' drivers listed in the
`carddos.txt' file.
<p>
Some of these drivers require that you in advance load the
`Scitech Display Doctor' (SDD) program to work correctly.
<p>
The available drivers are :
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
vbeline/auto
</em></td><td width="90%">
Auto detection.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
vbeline/3dfx
</em></td><td width="90%">
3dfx
Banshee, Voodoo3, Voodoo5
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
vbeline/cirrus
</em></td><td width="90%">
Cirrus Logic (with SDD)
GD542?, GD5428, GD543?
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
vbeline/s3
</em></td><td width="90%">
S3 (with SDD)
ViRGE, Vision 866, Vision 964, Trio32, Trio64, Trio64V+,
Aurora64V+, Trio64UV+, ViRGE/VX, 868, 928, 864, 964, 968,
Trio64 V2/DX, Trio64V2, ViRGE/DX, ViRGE/GX, ViRGE/GX2
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
vbeline/sis
</em></td><td width="90%">
SiS
6326, 620, 530, 300, 630, 540
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
vbeline/savage
</em></td><td width="90%">
S3
Savage 3D, Savage 3DM, Savage 4
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
vbeline/neomagic
</em></td><td width="90%">
NeoMagic
MagicGraph 128 (NM2070), 128V (NM2090), 128ZV (NM2093),
128ZV+ (NM2097), 128XD (NM2160),
MagicMedia 256AV (NM2200), 256ZX (NM2360), 256XL+ (NM2380)
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
vbeline/trident
</em></td><td width="90%">
Trident (without SDD)
TGUI 9320, TGUI 9420, TGUI 9440, TGUI 9660,
Providia 9682, Providia 9685,
Cyber 9397, Cyber 9397/DVD, Cyber 9385, Cyber 9385-1,
Cyber 9382, Cyber 9388, Cyber 9397, Cyber 939A/DVD, Cyber 9520,
Cyber 9525/DVD, Cyber 9540,
3DImage975, 3DImage985,
CyberBlade/i7, CyberBlade/DSTN/i7, CyberBlade/i1, CyberBlade/DSTN/i1,
Blade3D, Blade3D/T64
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
vbeline/vbe3
</em></td><td width="90%">
Any video boards with a VBE3 BIOS which is also VGA
compatible at registers level. Generally a recent board
should have a VBE3 BIOS.
</td></tr>
</table>
<h2><a name="5">5</a> 
Limitations
</h2>
AdvanceVBE isn't a complete VBE 2.0 bios. It requires an
existing and working VBE BIOS. Specifically you can get the
VBE 2.0 services, like the linear frame buffer, only if the
preexistent BIOS supports them.
Eventually, before loading AdvanceVBE, you can load a software
BIOS like the `Scitech Display Doctor' or similar.
<p>
The 24 and 32 bit depths are not supported.
<h2><a name="6">6</a> 
Application Problems
</h2>
Some applications are able to use only some common resolutions
like 320x240, 400x300, 512x384 and 640x480. Others resolutions
may be completely ignored or crash the application.
<p>
Others applications may get in trouble if the list of available
VBE modes contains duplicate resolutions or is too big.
Add only the best modelines and avoid duplicates.
<h2><a name="7">7</a> 
Use In Windows
</h2>
The `vbe' utility is tested and working in Windows 98 with
a S3 board. You should only load the SDD utility (if required)
and the `vbe' utility in the `autoexec.bat'.
<p>
Note that the Windows 16 bit HiColor modes are truly 15 bit VBE
modes. So you should create some 15 bits modes in the `vbe.rc'.
<p>
Windows notices only the video modes of size 640x480,
800x600, 1024x768 and 1280x1024. Any other mode is ignored.
<h2><a name="8">8</a> 
Tests
</h2>
Doom Legacy with the `s3' driver (<a href="http://www.newdoom.com/doomlegacy/">http://www.newdoom.com/doomlegacy/</a>)
<br>
Duke Nukem 3D with the `s3' driver
<br>
Quake 1.0 with the `s3' driver
<br>
Windows 98 SE with the `s3' driver
<br>
<h2><a name="9">9</a> 
Examples
</h2>
Load it:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
vbe /l
</pre>
</td></tr></table>
<p>
Load it with an arbitrary configuration file:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
vbe /l /c c:\cab\myconf.rc
</pre>
</td></tr></table>
<p>
Unload it:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
vbe /u
</pre>
</td></tr></table>
<p>
You can force a specific vbeline driver adding the
`device_video vbeline/DRIVER' option in your configuration
file.
<p>
For example :
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
device_video vbeline/vbe3
</pre>
</td></tr></table>
<h2><a name="10">10</a> 
Bugs
</h2>
The configuration file is checked only for the
`device_video_modeline' and `device_video' options.
All the other options are ignored.


</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>


